[![PyPI version](https://badge.fury.io/py/fcapsy-experiments.svg)](https://badge.fury.io/py/fcapsy-experiments)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

# fcapsy-experiments
📦 Package of experiments for [fcapsy](https://github.com/mikulatomas/fcapsy) library.

⚠️ Library is mainly used in research. API can change rapidly.

![logo](https://github.com/mikulatomas/fcapsy-experiments/raw/main/logo.png)

## Installation
Package is avaliable in alpha version via `pip`.

```bash
$ pip install fcapsy-experiments
```

## Used in papers
> Belohlavek, R., & Mikula, T. (2020). Typicality in Conceptual Structures Within the Framework of Formal Concept Analysis. Proceedings of CLA 2020, 33-45.
http://ceur-ws.org/Vol-2668/paper2.pdf

> Belohlavek, R., & Mikula, T. (2021). Typicality: A formal concept analysis account. International Journal of Approximate Reasoning.
https://doi.org/10.1016/j.ijar.2021.12.001

## Dependencies

fcapsy-experiments requires:

* fcapsy
* plotly
* pandas
* numpy
* sklearn
* fuzzycorr
* binsdpy